pamac not working not able to close and update the new versions of application?

[manjaro@manjaro-pc ~]$ systemctl  --failed
  UNIT                 LOAD   ACTIVE SUB    DESCRIPTION                        
● pamac-daemon.service loaded failed failed Pamac Daemon                       

LOAD   = Reflects whether the unit definition was properly loaded.
ACTIVE = The high-level unit activation state, i.e. generalization of SUB.
SUB    = The low-level unit activation state, values depend on unit type.

1 loaded units listed.

pamac not working not able to close the application
pacman not able to update or not able to install any new application
suggest some way solve this problem ....

pamac has stopped working ,unable to close the application.
pamac-daemon.service -> what trouble is this causing??

[manjaro@manjaro-pc ~]$ sudo pacman -Syu
[sudo] password for manjaro: 
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 multilib is up to date
error: failed retrieving file 'sublime-text.db' from download.sublimetext.com : error setting certificate verify locations:
  CAfile: /etc/ssl/certs/ca-certificates.crt
  CApath: none
error: failed to update sublime-text (download library error)
error: failed to synchronize all databases

HOW to delete sublime-text ...i downloaded via snap...but unable to uninstall it.
how to reset everything to normal any suggestion?????

sudo pacman-mirrors -f && sudo pacman -Syyu

(I waited for you @Wollie, but we cant give it to dalto..)

2 Likes

That doesn't look like a snap. That looks like a repo you installed in /etc/pacman.conf or /etc/pacman.d/

Check /etc/pacman.d/ for a sublime file. If there isn't one there, edit your /etc/pacman.conf and remove the sublime-text repo.

1 Like

thanks for helping ....it worked.

Again ... this looks like something like an AUR package and not a snap.
If it is .. then a normal removal procedure should work:

sudo pacman -Rns sublime-text
Cloning into 'google-chrome'...
fatal: unable to access 'https://aur.archlinux.org/google-chrome.git/': error setting certificate verify locations:
  CAfile: /etc/ssl/certs/ca-certificates.crt
  CApath: none

```how to solve this problem?

Try reinstalling (possibly uninstalling and installing again if a normal reinstall fails) the previous version of ca-certificates-utils .
(short hint: Create an account in arch-linux forum as well. I found this solution there. Or simply search for problems there, especially AUR-related ones. It 's helped me tremendously in many situations :))

didnt found any solution

Have you tried reinstalling ca-certifcates-utils?i

Why did you create a duplicate topic? You didn't reply to @cscs there, why do you think creating a new one would help?

Heh. Thanks for pointing it out. Funny enough - it seems like we dont get answers within the threads either .. I dont know if a package is uninstalled, whether an AUR helper is being used, which one, or if it is makepkg, etc. Nothing. Nada. It is quite workable.

why manjaro get hang sometimes ? while using multiple application?

why manjaro get hang sometimes ? while using multiple application?

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.

Forum kindly sponsored by